Foreman - Feature #19383

Provide description for Hammer command to disable/enable notifications for a host.

04/26/2017 04:42 AM - Tomer Brisker

Status: Closed
Priority: Low
Assignee: Marek Hulan
Category: API
Target version: 1.16.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1443804 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/4618
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1443804

Description of problem:

There is not hammer command to enable/disable notifications
for a particular host.

This feature is available in GUI:
1) Hosts > All Hosts > Tick host >Select Action > Disable Notification
2) Hosts > All Hosts > Tick host >Select Action > Enable Notification

How reproducible:
#hammer host update --help
#hammer host create --help

Actual results:
No option available to enable/disable notifications for a host via hammer cli.

Expected results:
#hammer host update --name <hostname> --notifications <enable/disable>

Related issues:
Copied to Hammer CLI - Bug #24490: Provide description for Hammer command to ...

Closed

Associated revisions

Revision 22d605d9 - 06/23/2017 09:07 AM - Marek Hulan

Fixes #19383 - document enabled host attribute

History

#1 - 04/26/2017 04:43 AM - Tomer Brisker

The option exists as --enable, but there is no description for it.

#2 - 04/26/2017 04:44 AM - Tomer Brisker

- Description updated

#3 - 06/23/2017 07:03 AM - Marek Hulan
- Project changed from Hammer CLI to Foreman
- Category changed from Hosts to API

- Assignee set to Marek Hulan

This seems to be missing documentation in apipie.
https://bugzilla.redhat.com/show_bug.cgi?id=1443804

#4 - 06/23/2017 07:04 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/4618 added

#5 - 06/23/2017 10:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 22d605d9a9fcfbeae3d8c7d62795ca000afaabbe.

#6 - 06/23/2017 10:35 AM - Marek Hulan

- translation missing: en.field_release set to 240

#7 - 07/31/2018 11:20 AM - Marek Hulan

- Copied to Bug #24490: Provide description for Hammer command to disable/enable notifications for a host. added
